<?php
//Link Directory v 1.1//
/**
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

class TOOLBAR_snr {
	/**
	 * Draws the menu for Editing an existing category
	 * @param int The published state (to display the inverse button)
	 */
	function _EDITCAT() {
		global $id;

		mosMenuBar::startTable();
		if( defined('_JEXEC') ) {
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::media_manager();
		mosMenuBar::spacer();
		mosMenuBar::save();
		mosMenuBar::spacer();
		mosMenuBar::apply();
		mosMenuBar::spacer();
		if ( $id ) {
			// for existing content items the button is renamed `close`
			mosMenuBar::cancel( 'cancel', _LD_CLOSEB );
		} else {
			mosMenuBar::cancel();
		}
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
	/**
	 * Draws the menu for Editing an existing category
	 */
	function _CAT(){
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::publishList();
		mosMenuBar::spacer();
		mosMenuBar::unpublishList();
		mosMenuBar::spacer();
		mosMenuBar::deleteList();
		mosMenuBar::spacer();
		mosMenuBar::editListX();
		mosMenuBar::spacer();
		mosMenuBar::addNewX();
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function _EDITLINK() {
		global $id;

		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::save('savelink');
		mosMenuBar::spacer();
		if ( $id ) {
			// for existing content items the button is renamed `close`
			mosMenuBar::cancel( 'cancellink', _LD_CLOSEB );
		} else {
			mosMenuBar::cancel('cancellink');
		}
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
	function _LINK() {
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::spacer();
		mosMenuBar::publishList('publishlink');
		mosMenuBar::spacer();
		mosMenuBar::unpublishList('unpublishlink');
		mosMenuBar::spacer();
		mosMenuBar::editListX('editlink');
		mosMenuBar::spacer();
		mosMenuBar::deleteList('','removelink');
		mosMenuBar::spacer();
		mosMenuBar::addNewX('newlink');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function _CONFIG() {
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::save('saveconfig');
		mosMenuBar::spacer();
		mosMenuBar::cancel('cancelconfig');
		mosMenuBar::endTable();


	}

	function _EXPORT() {
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::customX( 'export2', 'export.png', 'export_f2.png', _LD_EXPORTB, 0 );
		mosMenuBar::spacer();
		mosMenuBar::back();
		mosMenuBar::endTable();
	}

	function _IMPORT() {
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::customX( 'import2', 'import.png', 'import_f2.png', _LD_IMPORTB, 0 );
		mosMenuBar::spacer();
		mosMenuBar::back();
		mosMenuBar::endTable();
	}


	function _EDITCOMMENT() {
		global $id;

		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::save('savecomment');
		mosMenuBar::spacer();
		if ( $id ) {
			// for existing content items the button is renamed `close`
			mosMenuBar::cancel( 'cancelcomment', _LD_CLOSEB );
		} else {
			mosMenuBar::cancel('cancelcomment');
		}
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
	function _COM() {
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::spacer();
		mosMenuBar::publishList('publishcomment');
		mosMenuBar::spacer();
		mosMenuBar::unpublishList('unpublishcomment');
		mosMenuBar::spacer();
		mosMenuBar::editListX('editcomment');
		mosMenuBar::spacer();
		mosMenuBar::deleteList('','removecomment');
		mosMenuBar::spacer();
		mosMenuBar::addNewX('newcomment');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function _EDITGRP() {
		global $group_id;

		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::save('savegroup');
		mosMenuBar::spacer();
		if ( $group_id ) {
			// for existing content items the button is renamed `close`
			mosMenuBar::cancel( 'cancelgroup', _LD_CLOSEB );
		} else {
			mosMenuBar::cancel('cancelgroup');
		}
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function _GRP() {
		mosMenuBar::startTable();
		if( defined('_JEXEC') ){
			mosMenuBar::title(_LD_CAT_MAN);
		}
		mosMenuBar::spacer();
		mosMenuBar::editListX('editgroup');
		mosMenuBar::spacer();
		mosMenuBar::deleteList('','delgroup');
		mosMenuBar::spacer();
		mosMenuBar::addNewX('newgroup');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
}
?>